Re: external dependencies; trolling for more feedback, pushing to make it official ; -)

On Thu, 2006-09-21 at 21:41 -0400, Joseph E. Sacco, Ph.D. wrote:
> This should be simple to resolve. 


> HAL, up through version contained source for libvolume_id.
> David has decided to remove that source because recent versions of udev
> provide libvolume_id.  The problem is most distros do not yet have a new
> enough version of udev that provides libvolume_id.  Stable releases of
> the redhat distros are a case in point.
> What to do... There are choices...
> (1) Hal continues to provide libvolume_id for the near term until most
> major distros provide an acceptable version of udev.

No, not going to happen, libvolume_id reads untrusted data, I'm not
going to carry around extra code since I'd need to make timely releases
if security fixes are needed.

> (2) A source tarball is created for libvolume_id.

It's available as part of the udev tarballs. Please fix GARNOME to take
it from there.

>   There is aleady
> precedent for this in gnome-mount. 

I know of no such precedent, please explain. Btw, I'm the gnome-mount

> Once the distros catch up, this
> tarball will no longer be required.
> (3) GNOME apps use HAL- until the major distros provide an
> acceptable version of udev.

Just fix GARNOME to get libvolume_id from the udev tarball. Thanks.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]